%define name		infozone-tools
%define version		0.2
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A collection of useful tools
License:	BSD style
Group:		Development/Java
Source:		%{name}-src-%{version}.jar
Url:		http://infozone-group.org
Requires:	dynamicjava
Requires:	regexp
Requires:	omquery
Requires:	xalan-j1
Requires:	xt-dash
BuildRequires:	ant
BuildRequires:	dynamicjava
BuildRequires:	regexp
BuildRequires:	xalan-j1
BuildRequires:	omquery
BuildRequires:	xt-dash
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage project

%description
This is a collection of useful tools from Infozone project.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
mkdir $RPM_BUILD_DIR/%{name}-%{version}
(cd $RPM_BUILD_DIR/%{name}-%{version} && jar xvf %{SOURCE0})
%setup -T -D
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/dynamicjava.jar:\
%{javadir}/regexp.jar:\
%{javadir}/xalan-j1.jar:\
%{javadir}/omquery.jar:\
%{javadir}/xt-dash.jar
ant bin-jar
ant javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr samples $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES LICENSE
%{javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Wed Apr 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.2-1jpp 
- first JPackage release
